require('@css/common.less');
import GameReflux from '@components/GameReflux';
$(function() {
  $('button').on('click', function() {
    new GameReflux({ type: $(this).text(), rank: 22, redPackage: 9.99 });
  });
  $('body').on('pop-close', function(e, data) {
    console.log('pop-close', data);
  });
  $('body').on('continue-click', function(e, data) {
    console.log('continue-click', data);
  });
  $('body').on('leave-click', function(e, data) {
    console.log('leave-click', data);
  });
  // var events = [
  //   'moregame_download',
  //   'holdback_download_click',
  //   'holdback_play_click',
  //   'holdback_expose',
  //   'download_span_click',
  //   'download_span_expose',
  //   'goodscore_download_click',
  //   'goodscore_download_expose',
  //   'icon_click',
  //   'icon_expose',
  //   'moregame_expose',
  //   'quickstart_click',
  //   'rank_download_click',
  //   'rank_gold_expose'
  // ];

  // events.forEach(v => {
  //   $('body').on(v, function(e, data) {
  //     console.log(v, data);
  //   });
  // });
});
